require_dependency "ebs_payment/application_controller"

begin
  require 'pry'
rescue LoadError
end
module EbsPayment
  class PaymentController < ApplicationController
    protect_from_forgery except: :callback
    def index
      @channels = [{name: "Standard", id: 0}]
      @currencies = [
        {
          code: 'USD',
          name: "USD"
        },
        {
          code: 'INR',
          name: "INR"
        }
      ]
      @modes = ["LIVE", "TEST"]
      @payment_modes = [
        {
          value: 1,
          type: "Credit Card"
        },
        {
          value: 2,
          type: "Debit Card"
        },
        {
          value: 3,
          type: "Net Banking"
        },
        {
          value: 4,
          type: "Cash Card"
        },
        {
          value: 5,
          type: "Credit Card - EMI"
        },
        {
          value: 6,
          type: "Credit Card - Reward Point"
        },
        {
          value: 7,
          type: "Paypal"
        }
      ]
      @card_brands = [
        {
          value: 1,
          type: "VISA"
        },
        {
          value: 2,
          type: "Master Card"
        },
        {
          value: 3,
          type: "Maestro"
        },
        {
          value: 4,
          type: "Diners Club"
        },
        {
          value: 5,
          type: "American Express"
        }
      ]
    end

    def prepare_hash
      @submit_url = EbsPayment.configuration.submit_url
      @params = params
      @secure_hash = EbsPayment.format_request(params)
    end

    def callback
      @callback_data = params
    end
  end
end
